aboutsummaryrefslogtreecommitdiff
path: root/aux/ci/git-pre-push.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xaux/ci/git-pre-push.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/aux/ci/git-pre-push.sh b/aux/ci/git-pre-push.sh
new file mode 100755
index 0000000..9883769
--- /dev/null
+++ b/aux/ci/git-pre-push.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+set -eux
+
+TLD="$(cat aux/tld.txt)"
+. aux/lib.sh
+
+PROJECT="$(basename "$PWD")"
+LOGS_DIR="/opt/www/$TLD/git/ci/$PROJECT/logs"
+REMOTE_GIT_DIR="/opt/www/$TLD/git/repos/$PROJECT.git"
+
+DESCRIPTION="$(mkstemp)"
+if [ -f description ]
+then
+ cp description "$DESCRIPTION"
+else
+ git config euandreh.description > "$DESCRIPTION"
+fi
+
+scp "$DESCRIPTION" "$TLD:$REMOTE_GIT_DIR/description"
+ssh "$TLD" mkdir -p "$LOGS_DIR"
+scp aux/ci/ci-build.sh "$TLD:$(dirname "$LOGS_DIR")/ci-build.sh"
+scp aux/ci/git-post-receive.sh "$TLD:$REMOTE_GIT_DIR/hooks/post-receive"